Browse Source

PIO env, Travis test for STM32F407VE (#14674)

Tanguy Pruvot 5 years ago
parent
commit
f0be92259b

+ 1
- 0
.travis.yml View File

18
   - TEST_PLATFORM="linux_native"
18
   - TEST_PLATFORM="linux_native"
19
   - TEST_PLATFORM="esp32"
19
   - TEST_PLATFORM="esp32"
20
   - TEST_PLATFORM="alfawise_U20"
20
   - TEST_PLATFORM="alfawise_U20"
21
+  - TEST_PLATFORM="black_stm32f407ve"
21
 
22
 
22
 before_install:
23
 before_install:
23
   #
24
   #

+ 13
- 0
buildroot/share/tests/black_stm32f407ve-tests View File

1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F407VET6
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+use_example_configs STM32/Black_STM32F407VET6
10
+exec_test $1 $2 "Full-featured Sample Black STM32F407VET6 config"
11
+
12
+# cleanup
13
+restore_configs

+ 1
- 1
config/examples/JGAurora/A1/Configuration_adv.h View File

884
  * LED Control Menu
884
  * LED Control Menu
885
  * Enable this feature to add LED Control to the LCD menu
885
  * Enable this feature to add LED Control to the LCD menu
886
  */
886
  */
887
-#define LED_CONTROL_MENU
887
+//#define LED_CONTROL_MENU
888
 #if ENABLED(LED_CONTROL_MENU)
888
 #if ENABLED(LED_CONTROL_MENU)
889
   #define LED_COLOR_PRESETS                 // Enable the Preset Color menu option
889
   #define LED_COLOR_PRESETS                 // Enable the Preset Color menu option
890
   #if ENABLED(LED_COLOR_PRESETS)
890
   #if ENABLED(LED_COLOR_PRESETS)

+ 6
- 5
platformio.ini View File

458
 # JGAurora A5S A1 (STM32F103ZET6)
458
 # JGAurora A5S A1 (STM32F103ZET6)
459
 #
459
 #
460
 [env:JGAURORA_A5S_A1]
460
 [env:JGAURORA_A5S_A1]
461
-platform      = ststm32@5.3.0
461
+platform      = ststm32
462
 framework     = arduino
462
 framework     = arduino
463
 board         = genericSTM32F103ZE
463
 board         = genericSTM32F103ZE
464
 extra_scripts = buildroot/share/PlatformIO/scripts/jgaurora_a5s_a1_with_bootloader.py
464
 extra_scripts = buildroot/share/PlatformIO/scripts/jgaurora_a5s_a1_with_bootloader.py
465
 build_flags   = !python Marlin/src/HAL/HAL_STM32F1/STM32F1_flag_script.py
465
 build_flags   = !python Marlin/src/HAL/HAL_STM32F1/STM32F1_flag_script.py
466
-  ${common.build_flags}
466
+  ${common.build_flags} -std=gnu++14
467
+build_unflags = -std=gnu++11
467
 src_filter    = ${common.default_src_filter} +<src/HAL/HAL_STM32F1>
468
 src_filter    = ${common.default_src_filter} +<src/HAL/HAL_STM32F1>
468
 lib_deps      = ${common.lib_deps}
469
 lib_deps      = ${common.lib_deps}
469
 lib_ignore    = c1921b4
470
 lib_ignore    = c1921b4
482
 # Shield - https://github.com/jmz52/Hardware
483
 # Shield - https://github.com/jmz52/Hardware
483
 #
484
 #
484
 [env:black_stm32f407ve]
485
 [env:black_stm32f407ve]
485
-platform = ststm32
486
+platform = ststm32@5.4.3
486
 framework = arduino
487
 framework = arduino
487
 board = blackSTM32F407VET6
488
 board = blackSTM32F407VET6
488
 extra_scripts = pre:buildroot/share/PlatformIO/scripts/black_stm32f407vet6.py
489
 extra_scripts = pre:buildroot/share/PlatformIO/scripts/black_stm32f407vet6.py
497
 # BIGTREE_SKR_PRO (STM32F407ZGT6 ARM Cortex-M4)
498
 # BIGTREE_SKR_PRO (STM32F407ZGT6 ARM Cortex-M4)
498
 #
499
 #
499
 [env:BIGTREE_SKR_PRO]
500
 [env:BIGTREE_SKR_PRO]
500
-platform = ststm32
501
+platform = ststm32@5.4.3
501
 framework = arduino
502
 framework = arduino
502
 board = BigTree_SKR_Pro
503
 board = BigTree_SKR_Pro
503
 extra_scripts = pre:buildroot/share/PlatformIO/scripts/generic_create_variant.py
504
 extra_scripts = pre:buildroot/share/PlatformIO/scripts/generic_create_variant.py
504
 build_flags = ${common.build_flags}
505
 build_flags = ${common.build_flags}
505
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STM32F407ZG\"
506
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STM32F407ZG\"
506
-  -DTARGET_STM32F4 -DSTM32F407_5ZX -DVECT_TAB_OFFSET=0x8000
507
+  -DTARGET_STM32F4 -DSTM32F407_5ZX -DVECT_TAB_OFFSET=0x8000 -DHAVE_HWSERIAL6
507
 lib_deps = ${common.lib_deps}
508
 lib_deps = ${common.lib_deps}
508
 lib_ignore = Adafruit NeoPixel, c1921b4, TMC26XStepper, SailfishLCD, SailfishRGB_LED, SlowSoftI2CMaster
509
 lib_ignore = Adafruit NeoPixel, c1921b4, TMC26XStepper, SailfishLCD, SailfishRGB_LED, SlowSoftI2CMaster
509
 src_filter = ${common.default_src_filter} +<src/HAL/HAL_STM32>
510
 src_filter = ${common.default_src_filter} +<src/HAL/HAL_STM32>

Loading…
Cancel
Save